GRUB-FILE(1)

NAMN
grub-file — kontrollera filtyp

SYNOPSIS
file FLAGGOR FIL

BESKRIVNING
Kontrollera om FIL är av angiven typ.

--is-i386-xen-pae-domu
    Kontrollera om FIL kan startas som en i386 Xen oprivilegierad gästkärna

--is-x86_64-xen-domu
    Kontrollera om FIL kan startas som x86_64 oprivilegierad gästkärna

--is-x86-xen-dom0
    Kontrollera om FIL kan användas som Xen x86 privilegierad gästkärna

--is-x86-multiboot
    Kontrollera om FIL kan användas som en x86-flervalsstartkärna

--is-x86-multiboot2 Kontrollera om FIL kan användas som en x86-flervalsstart2-kärna

--is-arm-linux
    Kontrollera om FIL är ARM Linux

--is-arm64-linux
    Kontrollera om FIL är ARM64 Linux

--is-ia64-linux
    Kontrollera om FIL är IA64 Linux

--is-mips-linux
    Kontrollera om FIL är MIPS Linux

--is-mipsel-linux
    Kontrollera om FIL är MIPSEL Linux

--is-sparc64-linux
    Kontrollera om FIL är SPARC64 Linux

--is-powerpc-linux
    Kontrollera om FIL är POWERPC Linux

--is-x86-linux
    Kontrollera om FIL är x86 Linux

--is-x86-linux32
    Kontrollera om FIL är x86 Linux med stöd för 32-bitarsprotokoll

--is-x86-kfreebsd
    Kontrollera om FIL är x86 kFreeBSD

--is-i386-kfreebsd
    Kontrollera om FIL är i386 kFreeBSD

--is-x86_64-kfreebsd
    Kontrollera om FIL är x86_64 kFreeBSD

--is-x86-knetbsd
    Kontrollera om FIL är x86 kNetBSD

--is-i386-knetbsd
    Kontrollera om FIL är i386 kNetBSD

--is-x86_64-knetbsd Kontrollera om FIL är x86_64 kNetBSD

--is-i386-efi
    Kontrollera om FIL är en i386 EFI-fil

--is-x86_64-efi
    Kontrollera om FIL är en x86_64 EFI-fil

--is-ia64-efi
    Kontrollera om FIL är en IA64 EFI-fil

--is-arm64-efi
    Kontrollera om FIL är en ARM64 EFI-fil

--is-arm-efi
    Kontrollera om FIL är en ARM EFI-fil

--is-riscv32-efi
    Kontrollera om FIL är en RISC-V 32bit EFI-fil

--is-riscv64-efi
    Kontrollera om FIL är en RISC-V 64bit EFI-fil

--is-hibernated-hiberfil
    Kontrollera om FIL är hiberfil.sys i viloläge

--is-x86_64-xnu
    Kontrollera om FIL är x86_64 XNU (Mac OS X-kärna)

--is-i386-xnu
    Kontrollera om FIL är x386 XNU (Mac OS X-kärna)

--is-xnu-hibr
    Kontrollera om FIL är XNU (Mac OS X-kärna) vilolägesavbild

--is-x86-bios-bootsector
    Kontrollera om FIL är en BIOS-startsektor

-h, --help Visa denna hjälp och avsluta. -u, --usage Visa användningen av detta kommando och avsluta.

SE ÄVEN
Den fullständiga dokumentationen för grub-file underhålls som en Texinfo-manual. Om programmen info och grub-file är ordentligt installerade på ditt system, bör kommandot

    info grub-file

ge dig tillgång till den kompletta manualen.

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.